const courtesyWait = 1000 * 10
const linkToIndex = true
const pageSize = 20

const printDate = date =>
  (date.getMonth() + 1) + '.' + date.getDate() + '.' + date.getFullYear()

const view = {
  tooLongAgo: 7 * 4, // Days
  pageSize
}

const sourceView = {
  pageSize
}

const feeds = {
  main: {
    main: true,
    view,
    nitter: [],
    tumblr: [
      'dakedres'
    ]
  }
}

const sources = {
  nitter: [
    "nt.ggtyler.dev",
    "nitter.unixfox.eu",
    "nitter.poast.org",
    "nitter.cz",
    "nitter.privacydev.net",
    "nitter.d420.de",
    "bird.habedieeh.re",
    "tweet.whateveritworks.org",
    "nitter.services.woodland.cafe",
    "nitter.nixnet.services", // (auth required)
     
    "nitter.lacontrevoie.fr",
    "nitter.fdn.fr",
    "nitter.1d4.us",
    "nitter.kavin.rocks",
    "nitter.moomoo.me",
    "bird.trom.tf",
    "nitter.it",
    "nitter.weiler.rocks",
    "nitter.sethforprivacy.com",
    "nitter.nl",
    "nitter.mint.lgbt",
    "nitter.esmailelbob.xyz",
    "nitter.tiekoetter.com",
    "nitter.privacy.com.de",
    "nitter.bird.froth.zone",
    "tweet.lambda.dance",
    "nitter.kylrth.com",
    "unofficialbird.com",
    "nitter.projectsegfau.lt",
    "nitter.eu.projectsegfau.lt",
    "nitter.in.projectsegfau.lt",
    "singapore.unofficialbird.com",
    "canada.unofficialbird.com",
    "india.unofficialbird.com",
    "nederland.unofficialbird.com",
    "uk.unofficialbird.com",
    "nitter.soopy.moe",
    "nitter.qwik.space",
    "nitter.rawbit.ninja",
    "nt.vern.cc",
    "n.sneed.network",
    "nitter.smnz.de",
    "nitter.twei.space",
    "nitter.inpt.fr",
    "nitter.at",
    "nitter.hostux.net",
    "nitter.adminforge.de",
    "nitter.platypush.tech",
    "nitter.us.projectsegfau.lt",
    "t.com.sb",
    "nitter.kling.gg",
    "nitter.lunar.icu",
    "twitter.moe.ngo",
    "nitter.freedit.eu",
    "nitter.tux.pizza",
    "nitter.altgr.xyz",
    "jote.lile.cl",
    "nitter.one",
    "nitter.io.lol",
    "nitter.no-logs.com",
    "tweet.whateveritworks.org",
    "nitter.fediflix.org",
    "nitter.nohost.network",
    "nitter.simpleprivacy.fr",
    "nitter.onthescent.xyz",
    "nitter.x86-64-unknown-linux-gnu.zip",
    "nitter.private.coffee",
    "nitter.oksocial.net",
    "nitter.services.woodland.cafe",
    "nitter.dafriser.be",
    "nitter.catsarch.com",
    "nitter.perennialte.ch",
    "nitter.laserdisc.tokyo",
    "nitter.datura.network"
  ]
}

export default {
  feeds,
  sources,
  courtesyWait,
  linkToIndex,
  sourceView,
  printDate
}